Skip to main content
`Ctrl`+`K`

# PetscOptionsViewer

Creates a viewer appropriate for the type indicated by the user

## Synopsis

    #include <petscviewer.h>
    PetscErrorCode PetscOptionsViewer(const char opt[], const char text[], const char man[], PetscViewer *viewer, PetscViewerFormat *format, PetscBool *set)

Logically Collective on the communicator passed in `PetscOptionsBegin()`

## Input Parameters

- opt - option name

- text - short string that describes the option

- man - manual page with additional information on option

## Output Parameters

- viewer - the viewer

- format - the PetscViewerFormat requested by the user, pass `NULL` if not needed

- set - `PETSC_TRUE` if found, else `PETSC_FALSE`

## Notes

Must be between a `PetscOptionsBegin()` and a `PetscOptionsEnd()`

See `PetscOptionsCreateViewer()` for the format of the supplied viewer and its options

## See Also

`PetscOptionsCreateViewer()`, `PetscOptionsHasName()`, `PetscOptionsGetString()`, `PetscOptionsGetInt()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsBool()` `PetscOptionsInt()`, `PetscOptionsString()`, `PetscOptionsReal()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

beginner

## Location

src/sys/objects/aoptions.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages